Bug 128180 - sata_sil hangs harddrives when loaded (IO-APIC related)
sata_sil hangs harddrives when loaded (IO-APIC related)
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Jeff Garzik
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-19 15:19 EDT by Hubert Bahr
Modified: 2013-07-02 22:20 EDT (History)
15 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-05 10:51:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screeshot of the driver hang on ALT-F4 console, sorry for the blurriness (151.83 KB, image/jpeg)
2005-03-14 06:15 EST, Trevor Cordes
no flags Details

  None (edit)
Description Hubert Bahr 2004-07-19 15:19:27 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040124

Description of problem:
I686 version on ASUS A7N8X-E motherboard once Kudzu recognizes
the sata_sil drives.  Thereafter when mounting, the devices locks up the
hard disk.  Cannot do a clean reboot because of the lockup

generates large number of interupts, then they are
disabled.



Version-Release number of selected component (if applicable):
kernel-2.6.7-492

How reproducible:
Always

Steps to Reproduce:
1.enable the RAID ATA controller from Kudzu
2.either reboot or mount -a
3.
    

Actual Results:  see error message about interupts
freeze during read of drive on ata controller

Expected Results:  Should allow normal disk mount and access

Additional info:

Changing configuration to a custom kernel allows system to work
Comment 1 Jeff Moe (jebba) 2004-08-10 10:21:31 EDT
Confirm same problem here, identical motherboard.
kernel-2.6.6-1.435.2.3 boots fine, kernel-2.6.7-1.494.2.2 fails.
Comment 2 Jeff Moe (jebba) 2004-08-10 12:28:43 EDT
It happens with a custom build of kernel 2.6.8-rc4 too.
Comment 3 Tim Wright 2004-11-19 11:22:15 EST
Same problem here on an A7N8X-Deluxe 2.0 mb. System is installed RAID
1 on 2 160GB SATA Seagate drives. The FC2 2.6.5 kernel using the old
driver works fine. The 2.6.8 update and the FC3 kernel are unusable.
The system locks hard when the driver loads.

Starting 2.6.8 with acpi=off I see
irq 5: nobody cared! (screaming interrupt?)
irq 5: Please try booting with acpi=off and report a bug
Stack pointer is garbage, not printing trace
handlers:
[<4285e2a5>] (ata_interrupt+0x0/0x1ee [libata])
Disabling IRQ #5

Something is still vey broken here. The old cruddy driver works fine.
Comment 4 Tim Wright 2004-11-19 11:23:28 EST
I forgot to add, if anybody (Jeff?) wants to give me a pointer to
debugging this, I am at your disposal :-)
Comment 5 Dave Jones 2004-11-26 23:44:47 EST
any improvement with the 2.6.9 based kernel update ?
Comment 6 Tim Wright 2004-11-29 16:48:28 EST
Not with the 2.6.9-1.6_FC@ kernel no. Booting with or without acpi=off yields:
irq 5: nobody cared! (screaming interrupt?)
irq 5: Please try boot with acpi=off and report a bug
handlers:
[<42864ab9>] (ata_interrupt+0x0/0x1ee [libata])
Disabling IRQ #5

I have some things I am going to try. The interrupt is shared with the USB2
controller and apparently people have had success turning that off in the BIOS.
It will at least be a data point. Otherwise, I'm going to turn the libata
tracing on.  The old siimage driver still works fine on the same hardware (as
does Windows XP), so it's definitely something broken in sata_sil/libata.
Comment 7 kfickling 2004-11-30 18:11:26 EST
Same problem here on FC3 using kernel-2.6.9-1.681_FC3, also happened
with original FC3 and FC3test3 kernels. The system is an Abit NF7-S v1
nForce2 mb w/ SIL3112A. When a Hitachi SATA drive is attached the boot
halts with:

irq 11: nobody cared! (screaming interrupt?)
irq 11: Please try boot with acpi=off and report a bug
handlers:
[<42876897>] (ata_interrupt+0x0/0x212 [libata])
Disabling IRQ #11

If the SATA drive is disconnected all loads fine:
libata version 1.02 loaded.
sata_sil version 0.54

I have found some other bug reports that seems to express the same
problem and might provide additional info: 133893, 135479,
http://bugzilla.kernel.org/show_bug.cgi?id=3282
Comment 8 Mark Richards 2004-12-03 21:59:57 EST
I don't know why this bug is classed under FC2.  I'm having this
problem trying to install FC3 on an ASUS A7N8X deluxe motherboard with
2 SATA drives.

I get loading SATA_SIL driver and then an ugly white on black chunk of
text that says "Disabling IRQ #5" and then hang city.

Any work-around available, such as creating a new install with the new
kernel but having the previous and working SATA_SIL driver?
Comment 9 Mark Richards 2004-12-03 23:52:03 EST
Additional information:
I tried to load the SiI6512 driver during install (dd hde=noprobe
hdg=noprobe).  This driver is provided by ASUS for the A7N8X deluxe
for systems that need it.  It's listed as a driver suitable for RedHat
9 - so I assumed it might be safe to try in the Fedora Core 3 install.

The installer asked for the driver disk and after some grinding told
me that no suitable drivers were found.  So I selected the SiI6512
driver from the list and things seemed to go along nicely - until a
dialog came up saying no hard disks were found.  That's strange -
since I can see them when booting in the SATA raid utility bios
information.  So it asked if I wanted to load a driver and I said yes,
and again chose the SiI6512.  

Things proceeded until I got to partitioning.  Then Anaconda reported
that it could (again) detect no drives and rebooted.

So my workaround didn't work... or i did something wrong in the
process perhaps?
Comment 10 Tim Wright 2004-12-13 19:33:50 EST
OK, there's something very odd going on with the SiL 3112 on the ASUS
boards. I currently have 2.6.9-1.6FC2 up and running but only via some
fairly grotesque hackery:

I patched drivers/scsi/libata-core.c in ata_interrupt to stop check
(!(qc->tf.ctl & ATA_NIEN))
to force calling of ata_host_intr even if we thought interrupts were
disabled, and turned on ATA_IRQ_TRAP in include/linux/libata.h, and
fixing the code in ata_host_intr that is enabled by this define to
actually work again.

The system now "works", but the very instant the ATA IDENTIFY command
is sent, we get an interrupt back, eventually fielded by that
ATA_IRQ_TRAP fixup:
ata1: irq trap
and 
ata2: irq trap

I subsequently see occasional errors of the form:
ata1: irq trap
ata1: command 0x25 timeout, stat 0x50, host_stat 0x60
or command 0x35. The system is however, stable and usable apart from
these hiccups. It looks like the chipset generates interrupts for
other reasons that the driver doesn't handle. This is the chipset has
a BIOS with the pseudo raid support. Any ideas if that changes things??
Comment 11 kfickling 2005-01-22 06:29:21 EST
This may be redundant, however, when booting kernel-2.6.10-1.741_FC3
with the irqpoll option sata works on an Abit NF7-S mb.
Comment 12 Trevor Cordes 2005-02-03 18:45:13 EST
If this is fixed in a recent kernel (741), does anyone know how this
could be applied to installing with stock FC3 anaconda?  FC3 anaconda
hangs when loading sata_sil with similar errors to what is listed
above (see bug 135479).
Comment 13 Tim Wright 2005-02-11 13:43:23 EST
It isn't fixed in -741, or not for me. I still had to rebuild the
kernel disabling sata_sil and re-enabling the siimage support in the
ide driver. It's not an ACPI issue. The siimage driver works
flawlessly. Something is different with sata_sil, maybe in the
register setup, that causes all these extraneous interrupts that it
fails to handle.

As I don't have any chipset documentation, I'm running out of ideas. I
am willing to test code, but for the moment, I am forced to rebuild
the kernel each time.
Comment 14 Tim Wright 2005-02-24 11:54:33 EST
It's still happening on the -766 kernel. However, now, irqpoll does actually
allow the kernel to boot and run.

It seems to me there are two possible things happening:
1) siimage and sata_sil program the chipset differently causing the additional
unhandled interrupts in sata_sil, or
2) siimage is also receiving the extra interrupts but is happily fielding them
(i.e. handling the interrupt and doing nothing), preventing the problem.

Any ideas as to how I might find which scenario is true?
Comment 15 Trevor Cordes 2005-03-03 06:53:35 EST
Can someone help me?  I want to do a fresh FC3 install on a system with no PATA
drive -- just a SATA.  I don't care what (not too expensive) SATA card I have to
buy, I just need to know what chipset will actually boot from FC3 anaconda! 
I've tried the sata_sil, and that fails.  You guys mention using the siimage
driver, but that doesn't appear to be in the stock FC3 kernel?  If it's not in
the stock kernel, how can I boot it from anaconda?

I looked up Promise and Adaptec SATA controllers and they too appear to have
serious boot issues (mostly the same interrupt problem).  Does anyone know of a
SATA chipest/vendor out there that I can actually install FC3 with?

Any other ideas?  Perhaps booting an older FC1 or FC2 first then upgrading? 
FC4test?  I've yet to see any indication anywhere that anyone has *installed*
FC3 on a SATA-only machine at all!

Comment 16 john penn 2005-03-05 10:23:21 EST
Loading sata_sil driver ... Disabling IRQ #11 

Anyone else get this message and a concurrent hard freeze of the 
system while installing Fedora Core 3 ?

A7N8X deluxe asus mobo
Seagate 80 GB Barracuda Sata with NCQ

IMPORTANT NOTE!!!    I installed same Fedora Core 3 on same system 
but (( with a NON NCQ Sata barracuda. ))  And the install went 
perfectly.  This makes me suspect that Fedora Core 3 is having issues 
with my brand new Seagate NCQ.  Anyone else think it is the NCQ 
technology on the new SATA's that might be causing me problems ?

I also had issues installing Ubuntu and Debian on same drive.



Comment 17 Trevor Cordes 2005-03-05 10:28:48 EST
Everyone's getting some weird error like that.  I get "disabling IRQ
12" or whatever, depending on where the card is installed.

Yes, my drives are Seagate w/NCQ.  I don't have any non-NCQ drives to
try.  I wonder if the Seagates have a way to disable the NCQ?  Jumper?
Comment 18 Tim Wright 2005-03-07 12:15:40 EST
Bam! John has it nailed.
My drives are Seagate 160GB with NCQ (ST3160827AS). Looks like this is
the problem combo. The siimage driver still works. But something about
NCQ and the SiI controller causes these extra interrupts.
Comment 19 Trevor Cordes 2005-03-09 17:38:29 EST
Sounds like the driver doesn't handle the NCQ features properly.  Does
anyone know if it's even supposed to (yet)?  I didn't even know the
SiI card supported NCQ!  Darn, now I regret getting the "better" NCQ
drives.
Comment 20 Tim Wright 2005-03-09 21:31:38 EST
Yep. According to the Seagate site, the SiI controller is in the list
of those that support NCQ, but, as you mention, the driver doesn't
know about it. Sounds like we might be inadvertantly enabling it? Or
failing to disable it?
Jeff, is there any publicly available programming information for the
chipset, or is it only under NDA?
Comment 21 Jeff Garzik 2005-03-09 22:55:36 EST
Silicon Image kindly made the hardware documentation publicly available:
http://gkernel.sourceforge.net/specs/sii/3112A_SiI-DS-0095-B2.pdf.bz2

It's a bit strange that NCQ drives are triggering bad behavior,
because the 311x chips do not support NCQ.  I wonder if NCQ drives
send a FIS (a.k.a. a single SATA data packet) that the 311x controller
does not recognize.
Comment 22 Trevor Cordes 2005-03-11 08:00:00 EST
Argh!  I just spent all night fighting to build a custom "linux dd"
driver disk with the old (working) siimage driver on it, only to
realize at the end that it appears you can't do modular ide drivers at
all!

If I can't fudge siimage to work in FC3 anaconda, then what else can I
try to get a fresh FC3 install to go on this SiI3112 card w/NCQ
drives?  Does anyone know if a newer SiI driver is in the works
somewhere in kernel-land?  At least now I know how to build them into
a custom driver floppy.

I'm getting desperate to get this system loaded.  I would use another
SATA PCI card, but all the ones I can buy all have a bunch of open
bugzillas on them with similar problems.  The situation is dire.
Comment 23 Trevor Cordes 2005-03-11 08:58:51 EST
OK, I dug into the source and the kernel bugzilla and it looks like there's some
fudging required for many Seagate disks to work with the sata_sil driver.  Look
at function sil_drivelist and there are lots of Segate models "blacklisted" to
use "SIL_QUIRK_MOD15WRITE".  I got to thinking that adding in my Seagate model
(ST380817AS) and recompiling might at least let me install FC3.  If this works
for me, then it may help others if they add their Seagates to the blacklist.

I got it compile but for the life of me I can't get the custom "linux dd driver
disk" I am trying to create to recognize on the target system.  I'm pretty sure
I have all the structures correct, but it refuses to load the modules.  Since
I've checked the dd disk structure so carefully, I'm thinking maybe I'm not
compiling valid modules.  Is the following sufficient to build a module (without
a complete rebuild of the kernel)?:

edit Makefile to tweak EXTRAVERSION = -1.667  and  -1.667BOOT
cd /usr/src/redhat/BUILD/kernel-2.6.9/linux-2.6.9/drivers/scsi
make -C /usr/src/redhat/BUILD/kernel-2.6.9/linux-2.6.9 include/linux/version.h
make -C /usr/src/redhat/BUILD/kernel-2.6.9/linux-2.6.9 SUBDIRS=$PWD modules

I'm trying to build this in the stock FC3 BOOT kernel so I can use the stock
boot CD iso.
Comment 24 Trevor Cordes 2005-03-14 06:13:34 EST
I *finally* got a custom hacked sata_sil module to load from a "linux dd" driver
floppy!  Man, that has got to be the hardest thing in the world.  Anyways, even
with my ST380817AS added to the blacklist, the bug still hits.  I get the same
old interrupts error on the ALT-F1 screen.

However, ALT-F4 is interesting.  It shows that indeed my hacked module is
blacklisting the drives.  However, the interrupt error occurs *before* the
blacklist takes place?!  Maybe the blacklist *does* work but it doesn't have a
chance to before it's interrupted?

See the screenshot of ALT-F4 I'm attaching next.

Is there anyway we can get the sata_sil author in on this bug?  I'm completely
fresh out of ideas to try.

PS: if anyone wants a custom hacked FC3 installer dd floppy, let me know and I
can try to provide some instructions.  It really is a nightmare to get this right.
Comment 25 Trevor Cordes 2005-03-14 06:15:02 EST
Created attachment 111970 [details]
screeshot of the driver hang on ALT-F4 console, sorry for the blurriness
Comment 26 Tim Wright 2005-03-14 12:30:17 EST
It doesn't appear to be the Seagate problem. There is at least one other person
reporting the issue with a different drive manufacturer. What seems to be common
is that the problematic drives are SATA-II or at least support NCQ. That seems
to cause these unexplained interrupts from the Silicon Image controller. I
wonder if there's information missing from the documentation.
Comment 27 Philippe Morry 2005-03-22 17:15:21 EST
(In reply to comment #24)
> I *finally* got a custom hacked sata_sil module to load from a "linux dd" driver
> floppy!  Man, that has got to be the hardest thing in the world.  Anyways, even
> with my ST380817AS added to the blacklist, the bug still hits.  I get the same
> old interrupts error on the ALT-F1 screen.
> 
> However, ALT-F4 is interesting.  It shows that indeed my hacked module is
> blacklisting the drives.  However, the interrupt error occurs *before* the
> blacklist takes place?!  Maybe the blacklist *does* work but it doesn't have a
> chance to before it's interrupted?
> 
> See the screenshot of ALT-F4 I'm attaching next.
> 
> Is there anyway we can get the sata_sil author in on this bug?  I'm completely
> fresh out of ideas to try.
> 
> PS: if anyone wants a custom hacked FC3 installer dd floppy, let me know and I
> can try to provide some instructions.  It really is a nightmare to get this right.
> 

Hello,
I'm looking for a solution to install FC3 or FC4t1 with the Sata Sil3112A on an
Asus A7N8X-E. If you have the driver disk that make the installation working,
i'm interresting.
Regards.
Comment 28 Etai 2005-03-22 19:18:36 EST
I've got an ABIT IC7-G with the same silicon image controller and 2 WD80GB 
sata hds, I wanted to install the FC3 and the FC4 test1 and it hang prior to 
the anaconda.
BTW the Mandrake 10.1 and rhe FC2 had worked perfectly, can I extract a driver 
from there, in order to put it on a floppy disk so I can use the Linux dd 
option???
Comment 29 Trevor Cordes 2005-03-22 21:30:05 EST
I'm under the impression (and my testing further verifies this) that you can't
take the old siimage driver and put it on a dd disk because siimage is an IDE
driver and must be compiled into the kernel and can't be used as a module.

I did get a driver disk going with a hacked sata_sil module by trying to
blacklist my drive, but that didn't help.

If someone were to give me an updated sata_sil that tried to address this bug, I
could create a linux dd driver disk for it for stock FC3 install boot, and I
could post the img of that here for everyone to use/test.  However, there has
yet to be any word from any developer that anyone has even started to look at
this problem, even in FC4t1 and the new kernels.
Comment 30 Jeff Garzik 2005-03-25 02:39:28 EST
FYI, http://lkml.org/lkml/2005/3/25/33
Comment 31 Trevor Cordes 2005-03-25 03:32:25 EST
From the looks of it, this patch would probably not help my situation (Seagate
NCQ interrupts), right?  Or is it worth a shot still?
Comment 32 Etai 2005-03-28 12:27:34 EST
can this help anyone (and by that I mean can help someone help me)

http://www.linuxmafia.com/faq/Hardware/sata.html#siliconimage
Comment 33 Mike Olsen 2005-03-29 01:23:50 EST
I had similar problems when I added an sata_sil card to a FC3 system which was
working beautifully before.  Strange this is that it will boot just fine when I
have the card but no drives, but when I attach a 120GB Western Digital drive I
get the 'Disabling IRQ #11' and the system hangs immediately. Attempted noacpi,
nousb (as usb was the only thing claiming IRQ 11) -- no joy 

Then went in and made sure the module was loaded in my initrd image (with a
--preload sata_sil on the mkinitrd command line), and the system again hung, but
gave a useful pointer in suggesting that I add irqpoll to the kernel boot line.  

Now it boots, but still says its disabling irq11.  System comes up, recognises
drive, allows me to format it and then mount it.  The warning messages about
disabling #11 still occur, but occur earlier in the boot sequence and seem to be
handled more gracefully.  



At any rate, I'm using kernel 2.6.10-1.770_FC3 on a ASUS A7V333, and can supply
more info if that is helpful, but wanted to get out the word that it's not just
the Segate drives, or the motherboards mentioned so far
Comment 34 Mike Olsen 2005-03-29 09:04:59 EST
Thought I'd add the following from dmesg (from the booted system) in the hopes
this might shed some light.  Note, this is from the system that is RUNNING:

ACPI wakeup devices:
PCI0 PCI1 UAR1 USB0 USB1
ACPI: (supports S0 S1 S4 S5)
Freeing unused kernel memory: 160k freed
SCSI subsystem initialized
libata version 1.10 loaded.
sata_sil version 0.8
ACPI: PCI Interrupt Link [LNKD] enabled at IRQ 11
PCI: setting IRQ 11 as level-triggered
ACPI: PCI interrupt 0000:00:10.0[A] -> GSI 11 (level, low) -> IRQ 11
ata1: SATA max UDMA/100 cmd 0xF883C080 ctl 0xF883C08A bmdma 0xF883C000 irq 11
ata2: SATA max UDMA/100 cmd 0xF883C0C0 ctl 0xF883C0CA bmdma 0xF883C008 irq 11
irq 11: nobody cared (try booting with the "irqpoll" option.
 [<c013e0a0>] __report_bad_irq+0x2b/0x68
 [<c013e169>] note_interrupt+0x73/0x96
 [<c013d6cc>] __do_IRQ+0x1bd/0x249
 [<c0104e04>] do_IRQ+0x5e/0x7a
 =======================
 [<c01035b2>] common_interrupt+0x1a/0x20
 [<c0120b50>] __do_softirq+0x2c/0x79
 [<c0104edc>] do_softirq+0x38/0x3f
 =======================
 [<c0104e16>] do_IRQ+0x70/0x7a
 [<c01035b2>] common_interrupt+0x1a/0x20
 [<c010103b>] default_idle+0x23/0x29
 [<c010108f>] cpu_idle+0x1f/0x34
 [<c03a5665>] start_kernel+0x16b/0x16d
handlers:
[<f8870be7>] (ata_interrupt+0x0/0x210 [libata])
Disabling IRQ #11
ata1: dev 0 cfg 49:2f00 82:346b 83:7f61 84:4003 85:3469 86:3c41 87:4003 88:207f
ata1: dev 0 ATA, max UDMA/133, 234441648 sectors: lba48
ata1: dev 0 configured for UDMA/100
scsi0 : sata_sil
ata2: no device found (phy stat 00000000)
scsi1 : sata_sil
  Vendor: ATA       Model: WDC WD1200JD-22H  Rev: 08.0
  Type:   Direct-Access                      ANSI SCSI revision: 05
SCSI device sda: 234441648 512-byte hdwr sectors (120034 MB)
SCSI device sda: drive cache: write back
SCSI device sda: 234441648 512-byte hdwr sectors (120034 MB)
SCSI device sda: drive cache: write back
 sda: unknown partition table
Attached scsi disk sda at scsi0, channel 0, id 0, lun 0
device-mapper: 4.3.0-ioctl (2004-09-30) initialised: dm-devel@redhat.com


Comment 35 Trevor Cordes 2005-03-29 10:10:23 EST
That's interesting because I'm pretty sure the WD drives do NOT have NCQ yet,
which would mean it's NOT isolated to NCQ drives?
Comment 36 Etai 2005-03-29 10:36:02 EST
I'm working with 2 WD 80GB attached via Abits Serillel 2 ( IDE to Serial ATA 
Adapter ) connected to the Silicon Image 3112 and want to install the FC3 to a 
Fujitsu HD 8GB via IDE and it hangs up, so it's not limited to Seagate HDs.

I'm actually want the SATA HD just to be mounted (and the FC3 will be on the 
IDE drive) but I can't install because it hang on the installation. I even 
tried to install when the SATA was disabled and it worked fine until I tried 
booting when the SATA was enanbled and it hangs again.
Comment 37 Gabolander 2005-04-02 08:37:32 EST
Same problem here of the one listed above (see bug # 135479 :
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=135479).

For this purpose, I'd like to create a custom kernel (vmlinuz) to fit in a
custom FC3/4 installation disk. After many tests (compiling the kernel and
burning a new boot CD with it), i realized that it might boot correctly and
recognize my sata disk (hde,hdg), but it unfortunately stopped asking my the
installation media (like it was not able to recognize my cd-rom any longer). 
So the question is. How can I obtain a .config of the kernel present in the
installation disk (vmlinuz) so that I can only modify the entry
"CONFIG_BLK_DEV_IDE_SATA=y" and recompiling a new vmlinuz ? 
May be I need to build a kernel with more parameter build into kernel instead of
loading them as modules. Thus I would like to see the original .config of that
kernel and starting from there.

Tnx a lot for any suggestions .
Comment 38 Eungkyu Song 2005-04-04 11:51:09 EDT
How about this patch?

http://www.mail-archive.com/linux-kernel@vger.kernel.org/msg63401.html
Comment 39 Trevor Cordes 2005-04-06 13:05:12 EDT
Thanks for the link!  That looks promising, if a bit kludgy.  I will whip up a
linux dd disk with that when I have time and test it out.
Comment 40 Dave Jones 2005-04-16 00:01:07 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.
Comment 41 Dave Jones 2005-04-16 15:55:34 EDT
reopening against FC3 on request from user in private mail.
Comment 42 Tim Wright 2005-04-16 17:17:18 EDT
FYI, the patch mentioned above at
http://www.mail-archive.com/linux-kernel@vger.kernel.org/msg63401.html
does prevent hanging, but causes a large number of "ata trap" messages
(seemingly one or two per I/O completion {I get more as I am running RAID-1}).
So it's not really a viable fix. Whatever is causing the chipset to want to send
interrupts is not a one initialization time thing, but something that apparently
needs acknowledging and handling.

Kernel kernel-2.6.11-1.14_FC3 still exhibits the same issues.
I'm back to running with the pci-ide SATA support, but have not yet got to the
point of determining if it is programming the chipset differently and thus not
getting the extra interrupts, or if it is simply getting them and silently
acknowledging them and getting on with life :-)
Comment 43 Philippe Morry 2005-04-18 08:21:32 EDT
(In reply to comment #37)
> Same problem here of the one listed above (see bug # 135479 :
> https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=135479).
> 
> For this purpose, I'd like to create a custom kernel (vmlinuz) to fit in a
> custom FC3/4 installation disk. After many tests (compiling the kernel and
> burning a new boot CD with it), i realized that it might boot correctly and
> recognize my sata disk (hde,hdg), but it unfortunately stopped asking my the
> installation media (like it was not able to recognize my cd-rom any longer). 
> So the question is. How can I obtain a .config of the kernel present in the
> installation disk (vmlinuz) so that I can only modify the entry
> "CONFIG_BLK_DEV_IDE_SATA=y" and recompiling a new vmlinuz ? 
> May be I need to build a kernel with more parameter build into kernel instead of
> loading them as modules. Thus I would like to see the original .config of that
> kernel and starting from there.
> 
> Tnx a lot for any suggestions .

I made a new .rpm kernel with only "CONFIG_BLK_DEV_IDE_SATA=y" changed from the
original FC3 kernel (for i686 ). But not yet tested !
Do you want to try it ? You can mail me directly if you want ! 
my email : deletepmorryatliemans.comdelete
Comment 44 Trevor Cordes 2005-04-18 21:09:33 EDT
I just went to try the patch in comment #38 and I think it can't be used on a
linux dd driver floppy since it applies to libata-core.c and not sata_sil.c it
doesn't produce a .ko module, just a .o?  Does that mean libata-core is not a
module but integrated directly in the monolithic kernel?  Which means that I
can't make a dd driver disk for it to use during an install of stock FC3, can I?
 There goes that idea.

Also, I brought in a new WD 80G drive to try out to see if it has the same
problem as my Seagate NCQ's and indeed the WD does NOT work.  This is
interesting because I'm nearly positive that WD does NOT have NCQ support yet. 
This means the problem is not isolated to NCQ drives.  That makes this a BIG BIG
problem as the SIL chipset seems to break on nearly ALL recent SATA drives now.

As before, if someone links me to a patch to try, I'll be able to make a linux
dd floppy for installers to use to load FC3 and I'll post it here... BUT it
would seem I can only do this if the patch applies to sata_sil.c and not the
supporting libata code.
Comment 45 Etai 2005-04-19 02:15:46 EDT
I'm willing to try your patch but I can't understand what do you mean by .rpm? 
shouldn't it be a dd? I'm a newbee so you might want to tell me what to do?
Comment 46 Trevor Cordes 2005-04-19 14:04:50 EDT
An RPM kernel will not help you install a new OS, but you can use it as an
upgrade if you've already installed an OS, say onto a PATA drive.  This doesn't
help you (or me) if you have no OS installed and your only hard drive is SATA
off of the SIL.  For that we need a newer sata_sil driver on a dd disk, which so
far no one has provided a patch from which we can create one.
Comment 47 Etai 2005-04-19 15:00:14 EDT
I want to install my linux on a PATA drive but it hangs whenever the SATA HDs 
are connected (even after the installation), can it solve my problem?
can I install the linux on a PATA hd (with the SATA HDs disconnected), and 
install the RPM and then connect the SATA HDs?
Comment 48 Hubert Bahr 2005-04-19 15:10:47 EDT
I still have the same motherboard but I installed FC3 from the distribution boot
disk.  Upon rebooting same old problem.  But recognizing that the installation
disk uses the i586 version of the kernel I replaced the i686 version of the
kernel installed by default for my Athlon with the i586 version.  This boots and
runs from my SATA controller.  This is the libata version not ide version.  on
FC2 I had just removed extraneous drivers until the libata version no longer had
conflicts.  the libata version works except it has conflicts with something else
in the default i686 version of the kernel.
Comment 49 Etai 2005-04-20 19:45:48 EDT
I want to install my linux on a PATA drive but it hangs whenever the SATA HDs 
are connected (even after the installation), can it solve my problem?
can I install the linux on a PATA hd (with the SATA HDs disconnected), and 
install the RPM and then connect the SATA HDs?
Comment 50 Hubert Bahr 2005-04-20 21:29:29 EDT
(In reply to comment #49)
> I want to install my linux on a PATA drive but it hangs whenever the SATA HDs 
> are connected (even after the installation), can it solve my problem?
> can I install the linux on a PATA hd (with the SATA HDs disconnected), and 
> install the RPM and then connect the SATA HDs?
> 

You have various options to prepare a kernel that doesn't adversely react to the
SATA HDs.  Install the rpm and make sure that it becomes the default load. 
After you verify that this new kernel is loaded on reboot, then reconect the
SATA drives.  If it still doesn't work we can find another solution.  Once you
have a compatible kernel you can even intall it on a sata drive if you
eventually want to remove the pata drives.
Comment 51 Etai 2005-04-21 07:30:48 EDT
OK and how do I do that? If I forgot to mention I'm a rookie at LINUX but a 
novice in WINDOWS :-)
Comment 52 Etai 2005-04-27 12:29:57 EDT
Is there any change in our situation?
Did anyone manage to pass the hurdle?
Comment 53 Philippe Morry 2005-04-28 06:31:00 EDT
FYI,
I try another distrib. (Ubuntu a debian's like !). And my Sata sil 3112 was
working !
may be a patch from this distrib could help us ?
Comment 54 Trevor Cordes 2005-04-28 08:05:30 EDT
Comment #52 : I have yet to get a working solution that lets me install with a
stock FC3 install CD (ie: something that lets me just remake a patched sata_sil
dd driver floppy).

Comment #53 : In the distro that's working, can you lsmod |grep sata and tell us
what drivers are being used?  If the distro uses the ide sata stuff then that
could be why it's working.  If they have it working with sata_sil then that
would be news!  Also, give us the kernel version.
Comment 55 Hubert Bahr 2005-04-28 11:23:51 EDT
Has anybody else tried the i586 rpm of the kernel.  That works for me and
provides the sata-sil driver.  the i686 kernel still gives me the same problem.
 I haven't investigated the differences, but I think it is still just a conflict
between the default drivers in the stock i686 rpm
Comment 56 Trevor Cordes 2005-04-28 11:35:24 EDT
The stock FC3 install CD/DVD is an i586 2.6.9 kernel and it fails almost
immediately with the interrupt error.  I think it is a function of what driver
is being used, not what version or architecture of kernel you are using.
Comment 57 Philippe Morry 2005-04-28 13:12:55 EDT
reply to #54 :
In the Ubuntu distrib, the module used is sata_sil and libata, so the one we need !
The kernel is 2.6.10-5-386 !

reply to #55:
Please could you tell exactly which kernel for i586 you tried ?
Comment 58 Trevor Cordes 2005-04-28 14:34:40 EDT
What's the URL for me to get the source code for the Ubuntu kernel?  I'd like to
go in and see what patches they might be running.  If there was a patch that
addressed this issue, I'm sure the driver maintainer would have mentioned it by now?
Comment 59 Philippe Morry 2005-04-28 14:41:35 EDT
Ok, that's good !
I try with the next kernel parameters with the CD/DVD of the FC3 (just write this):
linux irqpoll
and it's working, the sata disk are seeing by the kernel !

For the last kernel of FC2 : 2.6.10-1.772_FC2 (i586, didn't test the i686), just
modify the grub.conf like this
kernel /vmlinuz-2.6.10-1.771_FC2 ro root=LABEL=/ irqpoll
 instead of : kernel /vmlinuz-2.6.10-1.771_FC2 ro root=LABEL=/ rhgb quiet

Now, the sata disk are seeing like sdx drive !
Comment 60 Tim Wright 2005-04-28 14:48:16 EDT
irqpoll works around the problem, but it is not a fix. It has other bad
side-effects (can't use my cdrom and dvd on the motherboard when it is in
effect). Currently, the only reliable solution is to turn off sata_sil and build
the PCI IDE sata driver back in (which still works flwalessly on all these newer
drives).
Comment 61 Philippe Morry 2005-04-28 17:16:49 EDT
I think, you will find all the source here : But I m not sure it's the good way !
http://fr.archive.ubuntu.com/ubuntu/pool/main/l/linux-source-2.6.10
Comment 62 Etai 2005-04-28 18:07:30 EDT
BTW when I installed Mandrake 10.1 a month and a half ago it worked perfectly, 
it recognized all the sata drives etc. no problem at all.
But I needed Fedora form my Homework in the University :-(
Comment 63 Etai 2005-05-18 16:44:48 EDT
I see no one has managed to crack the code, ha?
Not for FC3 and not for FC4? nothing?
I guess they're smarted than us :-)
Comment 64 Trevor Cordes 2005-05-18 17:15:54 EDT
As per comment #57 ... if the bug is not in Ubuntu, yet Ubuntu uses sata_sil and
libata, then where does that leave us?  Is there a chance the bug is outside of
these modules and in something else in the kernel?  I don't know enough about
the inner-workings of the kernel to guess.

It's interesting how comment #57 says it works with Ubuntu using kernel
2.6.10-5-386.  Note the -386 part.  That's interesting along with comment #55
which says that -586 kernels work.  However, in my tests, trying to load
2.6.9-586 which is the kernel on the FC3 install CD, always fails with the
interrupt error.   Hab, what distro (and version) and kernel version were you
testing when you said -586 worked in comment #55?

As for poring over the code, I haven't had time, but will try to get Ubuntu
source today to take a look.  However, I'm not a kernel-source nor a C guy.  We
really need some bones thrown from the higher-up developers for this.
Comment 65 Trevor Cordes 2005-05-18 17:28:03 EDT
Does anyone know where the heck one can download source code for the kernels
used in Ubuntu or Mandrake?  Both are reported to not have this bug yet both
seem to make it exceeding difficult to find or download sources.

That URL in comment #61 appears to contain nothing but binary rpms in .deb format.
Comment 66 Hubert Bahr 2005-05-19 18:10:08 EDT
(In reply to comment #64)
>
I was using the dvd iso for FC3.  It installed correctly, however when I
rebooted It failed.  It had installed the i686 kernel.  Once I found out that it
used i586 for the installation, I then installed the i586 version, and that is
what it uses now.  Some additional info to my original posting.  The drives on
my sata controller are standard parallel drives talking through a pata to sata
bridge. that mounts directly to the individual drives.  One drive is on a 1
meter cable. the other on a .5 meter cable.  As I mentioned in my earlier
trials, I could build a custom kernel that would work with sata-sil.  It looks
to me like there is another driver that is interfereing with sata-sil and it is
not sata-sil that is the only problem.

hubert
Comment 67 Pascal Giard 2005-05-20 12:49:28 EDT
I've experienced the problem with a sil3112A w/ a Seagate 120GB SATA w/ NCQ.
Brian Kuschak's hack works fine for me.

I'm running Debian's modified 2.6.11.
Comment 68 Trevor Cordes 2005-05-22 21:33:00 EDT
Comment #66: Your case is interesting as you're using non-NCQ parallel drives
through adapters.  The fact it works with i586 for you but not i686 is also
interesting.  I think the more common behaviour is for installation to fail
while in i586.  It is starting to look like you may be correct in that it's not
just sata_sil's fault, but I'd say it's still a 50/50 chance.  Also interesting
how this error is now not just a NCQ issue, as myself and others have reproduced
this bug even with non-NCQ drives.
Comment 69 Matthew House 2005-06-16 16:12:47 EDT
Same problem occurring here during install on an Asus A7N8X Deluxe v1.04 using
the onboard SiI 3112A with a message that IRQ #11 has been disabled, then system
hangs using Fedora Core 4.  Using 2 Maxtor drives.  One is SATA, the other is
PATA with an Abit SATA adapter.  Have been able to install on PATA drive by
removing SATA adapter and unplugging the other drive from SATA port.  IRQPOLL,
acpi=off, etc. options to the kernel did me no good when trying to install. 
Just learned how to rebuild the kernel, and have been trying for 2 days now to
get it to work with various configs.  May try Brian Kuschak's hack first, then
going to try the old IDE drivers with sata_sil removed from the kernel.  Any
more insights appreciated, or if people want me to try various builds of the
kernel, since I'm in a somewhat unique situation (a working install of FC4 where
I can rebuild the kernel and try things).
Comment 70 Philippe Morry 2005-06-17 05:27:46 EDT
Yesterday, I upgrade my kernel of my FC3 with the last one (2.6.11-1-27 ). I try
the smp kernel, and it was working without the sata kernel bug. The same kernel
without smp, didn't work... Still the sata problem !
Can someone could try the last kernel with SMP and confirm this ?

Comment 71 Jeff Garzik 2005-06-17 10:09:42 EDT
If SMP kernel works, but uniprocessor does not, that may be an interrupt routing
/ IOAPIC issue separate from sata_sil driver.

(note to others, that does not diminish your reported problems)
Comment 72 Alexandr Kara 2005-07-12 12:43:12 EDT
Having the same problem with FC4 installation with ASUS A7N8X-E deluxe
motherboard (the same as some of the people from previous posts had). It also
prints information about disabling INT 11 and hangs. I "fixed" it before in FC2
by using a self-built kernel, but I don't remember which setting made it work. I
think I had to enable APIC, local APIC, IO APIC, ACPI IRQ routing - just enable
everything around. The next best option (didn't hang but didn't work too well
either) was to disable all of the above...
I will try more after installing FC4.
Comment 73 Trevor Cordes 2005-07-12 22:16:30 EDT
Same problem seems to occur with Promise SATA card, see bug #139667.
Comment 74 Alexandr Kara 2005-07-13 08:10:32 EDT
I can now confirm that after upgrading to 2.6.12.2 kernel and changing:

# CONFIG_X86_UP_APIC is not set

to

CONFIG_X86_UP_APIC=y
CONFIG_X86_UP_IOAPIC=y
CONFIG_X86_LOCAL_APIC=y
CONFIG_X86_IO_APIC=y

the SATA disc is working OK (without any error).
However before a GNOME session starts, there is about 2 minute delay probably
related to dbus (pstree shows some dbus processes attached to gnome-session). I
don't know whether it is relevant or not.
Comment 75 Dave Jones 2005-07-15 13:29:45 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 76 Trevor Cordes 2005-07-15 13:33:31 EDT
Someone else who has the ability to boot from PATA will have to test this.  In
my situation I'm trying to do it all SATA-only through the sil card and I can't
even get an OS installed because neither FC3 nor FC4 install ISO's will work. 
AFAIK, there's no way for me to use an updated kernel to help me install with
anaconda.
Comment 77 Trevor Cordes 2005-07-15 13:35:22 EDT
Forgot to mention: I will be able to test this when a FC5t1 (or similar) comes
out where the anaconda install kernel has this patch. (Of course, it might be a
while before we see a FC5t1.)
Comment 78 Dave Jones 2005-07-15 14:46:26 EDT
You can actually grab the boot.iso from 
http://download.fedora.redhat.com/pub/fedora/linux/core/development/i386/images/

which gets rebuilt daily using the latest kernel.  This way, you won't need to
wait for test1 to appear.
Comment 79 Trevor Cordes 2005-07-15 14:49:07 EDT
Hey, thanks!  I did not know that.  I will download it and try it asap!
Comment 80 Trevor Cordes 2005-07-15 15:07:27 EDT
Just booted from the latest July 15 2005 boot.iso and immediately on loading
sata_sil driver it hangs on error "disabling IRQ #5".  Exact same problem as
with earlier kernels.  Drive used for this test was my Seagate NCQ as detailed
above.
Comment 81 Tim Wright 2005-07-15 15:46:34 EDT
Ding ding ding, we have a winner!
Alexandr.Kara@seznam.cz has the solution at least for me. I rebuilt the kernel
changing CPU type to K7 and enabling the local APIC *AND* the local IO/APIC.
Everything works flawlessly. libata has landed on IRQ 18 and all is sweetness
and light.

I'm in the middle of an FC4 upgrade via yum and am running a rebuilt FC4 kernel
currently. Here's /proc/interrupts on the now happy system:

kryten:~$ cat /proc/interrupts
           CPU0
  0:    2605259    IO-APIC-edge  timer
  1:       7404    IO-APIC-edge  i8042
  7:          5    IO-APIC-edge  parport0
  8:          1    IO-APIC-edge  rtc
  9:          0   IO-APIC-level  acpi
 12:      79412    IO-APIC-edge  i8042
 15:      67837    IO-APIC-edge  ide1
 18:      97822   IO-APIC-level  libata
 20:          0   IO-APIC-level  ohci_hcd:usb2
 21:      93207   IO-APIC-level  ehci_hcd:usb1, eth0
 22:       2826   IO-APIC-level  ohci1394, NVidia nForce2, ohci_hcd:usb3
NMI:          0
LOC:    2592574
ERR:          0
MIS:          0
Comment 82 Dave Jones 2005-07-15 18:35:20 EDT
The problem we have hear is historically, enabling UP APIC broke some boxes.
Things may have improved, so I'll contemplate turning this on for FC5test1 to
see how things go.

I'm puzzled why legacy irq routing doesn't work correctly though, that may be
something else that needs fixing.
Comment 83 Matthew House 2005-07-17 12:25:04 EDT
Same story here.  Rebuilt 2.6.12 kernel with Athlon CPU type, and did as Tim
Wright suggested with enabling the local APIC and the local IO/APIC.  First time
that FC3 has been able to boot with a kernel higher than 2.6.9 for me.  Also was
able to remove the 'irqpoll' line from my kernel parameters without issue.
Comment 84 Kevin Bowen 2005-08-07 14:57:02 EDT
(In reply to comment #78)
> You can actually grab the boot.iso from 
> http://download.fedora.redhat.com/pub/fedora/linux/core/development/i386/images/
> 
> which gets rebuilt daily using the latest kernel.  This way, you won't need to
> wait for test1 to appear.
> 

I grabbed todays boot.iso, and it seems to work, including getting sata_sil
loaded successfully where FC4 had not. But it won't then let me install from my
FC4 discs - apparently it notices the version mismatch between the boot cd and
the install media. Is there any way around this? I don't want to install a
rawhide system.
Comment 85 Dave Jones 2005-08-08 18:29:18 EDT
That is interesting. Because it doesn't have any changes to the apic config
options.  More likely is that someone fixed something in the IRQ routing code.
I'll go over the diffs and see if I can root something out.

Making an updated ISO with an updated kernel is aparently a bit of a pain to do.
I've got "write howto" on my todo, but it keeps getting preempted by more
important things..
Comment 86 Steve Bunch 2005-08-28 00:17:09 EDT
I am seeing the same failure as many other people when booting from the fc4 
CD's: sata_sil driver loading message, then Interrupt 12 Disabled message, 
then silence.  F3/F4 shows the same error messages as other folks (unclaimed 
interrupt, some stuff, then interrupt disabled).  Ctl-Alt-Del does exit the 
install (unless booted with NOPROBE; I have a USB keyboard).  I've tried 
booting with NOPROBE, irqpoll, and other workarounds suggested for this bug 
and #135479, none of which worked.  I am using an Intel D845PEBT2 motherboard 
(no firewire), with a 2.4GHz P4 processor, and both a PATA (WinXT) and SATA 
(intended to be Linux) HD.  The SATA HD is a Maxtor 250GB.  I put a small 
FAT32 partition on the SATA with Maxell's utility under WinXP, and Windows XP 
mounts it and works fine.  The Debis Sarge network install CD hangs with the 
same error as the FC4 install disk.  The MEPIS (small Debis-based) 
distribution boots and runs fine, recognizing the SATA drive, but has no 
sata_sil driver, so presumably has sata support compiled into the kernel IDE 
driver.  (If anyone would like further information or have me run a test, 
please let me know).

I plan to unplug my SATA drive, repartion the PATA drive to generate enough 
space for an FC4 install, install it, build a kernel with Alexandr Kara's fix 
from #74 reply in it, and plug in the SATA drive and see if the driver loads 
and runs.
Comment 88 Philippe Morry 2005-08-30 15:04:34 EDT
(In reply to comment #86)

Try to boot with SMP kernel, Sata works with this kernel for me ! (sata sil3112).
Regards,



> I am seeing the same failure as many other people when booting from the fc4 
> CD's: sata_sil driver loading message, then Interrupt 12 Disabled message, 
> then silence.  F3/F4 shows the same error messages as other folks (unclaimed 
> interrupt, some stuff, then interrupt disabled).  Ctl-Alt-Del does exit the 
> install (unless booted with NOPROBE; I have a USB keyboard).  I've tried 
> booting with NOPROBE, irqpoll, and other workarounds suggested for this bug 
> and #135479, none of which worked.  I am using an Intel D845PEBT2 motherboard 
> (no firewire), with a 2.4GHz P4 processor, and both a PATA (WinXT) and SATA 
> (intended to be Linux) HD.  The SATA HD is a Maxtor 250GB.  I put a small 
> FAT32 partition on the SATA with Maxell's utility under WinXP, and Windows XP 
> mounts it and works fine.  The Debis Sarge network install CD hangs with the 
> same error as the FC4 install disk.  The MEPIS (small Debis-based) 
> distribution boots and runs fine, recognizing the SATA drive, but has no 
> sata_sil driver, so presumably has sata support compiled into the kernel IDE 
> driver.  (If anyone would like further information or have me run a test, 
> please let me know).
> 
> I plan to unplug my SATA drive, repartion the PATA drive to generate enough 
> space for an FC4 install, install it, build a kernel with Alexandr Kara's fix 
> from #74 reply in it, and plug in the SATA drive and see if the driver loads 
> and runs.
Comment 89 Philippe Morry 2005-08-30 15:06:23 EDT
(In reply to comment #86)

Try to boot with SMP kernel, Sata works with this kernel for me ! (sata sil3112).
Regards,



> I am seeing the same failure as many other people when booting from the fc4 
> CD's: sata_sil driver loading message, then Interrupt 12 Disabled message, 
> then silence.  F3/F4 shows the same error messages as other folks (unclaimed 
> interrupt, some stuff, then interrupt disabled).  Ctl-Alt-Del does exit the 
> install (unless booted with NOPROBE; I have a USB keyboard).  I've tried 
> booting with NOPROBE, irqpoll, and other workarounds suggested for this bug 
> and #135479, none of which worked.  I am using an Intel D845PEBT2 motherboard 
> (no firewire), with a 2.4GHz P4 processor, and both a PATA (WinXT) and SATA 
> (intended to be Linux) HD.  The SATA HD is a Maxtor 250GB.  I put a small 
> FAT32 partition on the SATA with Maxell's utility under WinXP, and Windows XP 
> mounts it and works fine.  The Debis Sarge network install CD hangs with the 
> same error as the FC4 install disk.  The MEPIS (small Debis-based) 
> distribution boots and runs fine, recognizing the SATA drive, but has no 
> sata_sil driver, so presumably has sata support compiled into the kernel IDE 
> driver.  (If anyone would like further information or have me run a test, 
> please let me know).
> 
> I plan to unplug my SATA drive, repartion the PATA drive to generate enough 
> space for an FC4 install, install it, build a kernel with Alexandr Kara's fix 
> from #74 reply in it, and plug in the SATA drive and see if the driver loads 
> and runs.
Comment 90 Trevor Cordes 2005-08-30 19:34:19 EDT
k9srb: in comment #86 you didn't say what SATA card you were using.  Please tell
us the card, or if onboard please confirm the chipset.  I didn't think
Intel-brand (as distinct from Intel-chipset!) boards used onboard SIL.
Comment 91 Steve Bunch 2005-08-30 22:43:46 EDT
The motherboard is an Intel D845PEBT2, http://www.intel.com/design/motherbd/bt2/, which uses the 
845PE chipset, and has an Sil 3112A chip on the motherboard.  My motherboard does not have the 
Firewire option.
Comment 92 Trevor Cordes 2005-09-30 02:14:42 EDT
Just came across some interesting info.  There are lots of reports of 3112-based
cards and onboards having similar problems in Windows!  I assumed the card would
work great in Windows.  If the card doesn't work in Windows or Linux then how
the heck can they be selling this card?  Argh!

See:
http://www.sysopt.com/forum/printthread.php?threadid=141781
http://www.pcreview.co.uk/forums/thread-1943729.php
http://www.pcreview.co.uk/forums/thread-1514517.php
http://www.computerbanter.com/showthread.php?t=65700

The posts indicate it *may* be card brand specific, but there certainly are lots
of brands that are known to have issues and no definitive reports of brands working.

Also, SiI has put updated drivers + bios on their site:
http://www.siliconimage.com/support/downloadresults.aspx?pid=63&bios=0&drivers=0&sataraid=0&

I installed the updated BIOS and it doesn't seem to help anything.
Comment 93 Philippe Morry 2005-09-30 02:38:37 EDT




(In reply to comment #92)
> Just came across some interesting info.  There are lots of reports of 3112-based
> cards and onboards having similar problems in Windows!  I assumed the card would
> work great in Windows.  If the card doesn't work in Windows or Linux then how
> the heck can they be selling this card?  Argh!
> 
> See:
> http://www.sysopt.com/forum/printthread.php?threadid=141781
> http://www.pcreview.co.uk/forums/thread-1943729.php
> http://www.pcreview.co.uk/forums/thread-1514517.php
> http://www.computerbanter.com/showthread.php?t=65700
> 
> The posts indicate it *may* be card brand specific, but there certainly are lots
> of brands that are known to have issues and no definitive reports of brands
working.
> 
> Also, SiI has put updated drivers + bios on their site:
>
http://www.siliconimage.com/support/downloadresults.aspx?pid=63&bios=0&drivers=0&sataraid=0&
> 
> I installed the updated BIOS and it doesn't seem to help anything.
> 


The Card SIL3112 Work on Redhat Linux with SMP Kernel.... But not without SMP ! 
I tink, it'll be good to look in that way, make a diff between SMP kernel and
the monoprocessor kernel (I'm not a developer, so I can't do it !). 
For information, The Ubuntu distribution work perfectly with sata SIL3112.

Comment 94 Dave Jones 2006-01-16 17:06:55 EST
This is a mass-update to all currently open Fedora Core 3 kernel bugs.

Fedora Core 3 support has transitioned to the Fedora Legacy project.
Due to the limited resources of this project, typically only
updates for new security issues are released.

As this bug isn't security related, it has been migrated to a
Fedora Core 4 bug.  Please upgrade to this newer release, and
test if this bug is still present there.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

Thank you.
Comment 95 Alexandr Kara 2006-01-17 03:39:45 EST
I can confirm the bug is present in the lastest FC4 kernel.
I don't have access to the machine right now, but I updated the kernel from 
updates repository last week and the computer froze again after printing 
"Disabling IRQ 11". I can post more info next week.
It can be fixed by enabling both local APIC and local IO/APIC. Probably also 
works with SMP kernels as it turns APIC on (if I recall correctly).
Comment 96 Dave Jones 2006-02-03 00:06:33 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 97 John Thacker 2006-05-05 10:51:01 EDT
Closing per last comment.

Note You need to log in before you can comment on or make changes to this bug.